gnutls_heartbeat_enable(3)

NAME
gnutls_heartbeat_enable - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_heartbeat_enable(gnutls_session_t session, unsigned int type);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

unsigned int type
    one of the GNUTLS_HB_* flags

DESCRIPTION
This function will allow heartbeat messages to be received.

SINCE
3.1.2

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/